<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<!-- This is the spec file (OCS) for: ADSB_Preamble_Detector -->
<componentspec>
   <port name="input_sample" protocol="short_timed_sample-prot" />
   <port name="input_average" protocol="short_timed_sample-prot"/>
   <port name="output" protocol="short_timed_sample-prot" producer="true"/>
   <property name="samp_per_symbol" type="ulong" initial="true" default="4"
	    description="Number of input samples per ppm symbol"/>
   <property name="num_of_symbols" type="ulong" initial="true" default="112"
	    description="Number of symbols of ADS-B data packet"/>
   <property name="preamble" type="uShort" default='0xA140' initial="true"
	    description="Pattern of ADS-B ModeS preamble"/>
</componentspec>
